Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004669TestLinkTest Project Managementpublic2011-07-18 13:052015-09-19 08:49
ReporterLaurent_Cabot 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.14 (2015 Q3) 
Summary0004669: Requirement / TestCase relationship broken when a new project is created from an existing one (1.9.3)
DescriptionWhen a new test project is created from an existing one Requirement/TestCase relationship is broken
Steps To Reproduce1)create a test project TP1 with requirements and test cases
2)add some attachments to the requirements and build requirements/test cases relationships.
3)create a new test project TP2 based on project TP1 with requirements feature enabled. Therefore, the TP2 requirements are identical to the TP1 ones.
4)select the TP2 project workspace
5)open one requirement.
 - the relationship with the testcase does not any more exist. The link is broken
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox v5
PHP VersionPHP Version 5.3.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023372)
Arndt (reporter)
2015-05-18 10:50

Is there anything new on solving this issue?
(0023374)
fman (administrator)
2015-05-18 13:49

1.9.3 is too old.
have you tried on 1.9.13 with latest fixes and confirm that already exists ?
(0023376)
Laurent_Cabot (reporter)
2015-05-19 12:08

Still present on 1.9.13.
Note that having attachments is not necessary to have this behavior.
Just create a TP2 project based on a TP1 existing one with testcases assigned to requirements.

Moreover the test assignments in the base project (TP1) are impacted by the creation of TP2...
(0023932)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2011-07-18 13:05 Laurent_Cabot New Issue
2015-05-18 10:50 Arndt Note Added: 0023372
2015-05-18 13:49 fman Note Added: 0023374
2015-05-18 13:49 fman Status new => feedback
2015-05-19 12:08 Laurent_Cabot Note Added: 0023376
2015-05-19 12:08 Laurent_Cabot Status feedback => new
2015-05-19 18:30 fman QA Team - Task Workflow Status => TBD
2015-05-19 18:30 fman Product Version 1.9.3 (2011 Q3 - bug fixing) => 1.9.14 (2015 Q3)
2015-05-19 18:30 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-05-19 18:31 fman Product Version 1.9.14 (2015 Q3) =>
2015-05-19 18:31 fman Summary Requirement / TestCase relationship broken when a new project is created from an existing one => Requirement / TestCase relationship broken when a new project is created from an existing one (1.9.3)
2015-05-19 18:31 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-05-19 18:31 fman Status new => resolved
2015-05-19 18:31 fman Resolution open => fixed
2015-05-19 18:31 fman Assigned To => fman
2015-05-19 18:32 fman Relationship added child of 0006830
2015-09-19 08:49 fman Note Added: 0023932
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker